Condition Variables
Concurrency
Collaboration diagram for Condition Variables:

## Classes

class | std::_V2::condition_variable_any
class | std::condition_variable

## Typedefs

typedef __native_type * | std::condition_variable::native_handle_type

## Enumerations

enum | std::cv_status { no_timeout, timeout }

## Functions

| std::_V2::condition_variable_any::_Unlock< _Lock >::_Unlock (_Lock &__lk)
| std::_V2::condition_variable_any::_Unlock< _Lock >::_Unlock (const _Unlock &)=delete
| std::condition_variable::condition_variable (const condition_variable &)=delete
| std::_V2::condition_variable_any::condition_variable_any (const condition_variable_any &)=delete
native_handle_type | std::condition_variable::native_handle ()
void | std::condition_variable::notify_all () noexcept
void | std::_V2::condition_variable_any::notify_all () noexcept
void | std::notify_all_at_thread_exit (condition_variable &, unique_lock< mutex >)
void | std::condition_variable::notify_one () noexcept
void | std::_V2::condition_variable_any::notify_one () noexcept
_Unlock & | std::_V2::condition_variable_any::_Unlock< _Lock >::operator= (const _Unlock &)=delete
condition_variable & | std::condition_variable::operator= (const condition_variable &)=delete
condition_variable_any & | std::_V2::condition_variable_any::operator= (const condition_variable_any &)=delete
template<typename _Lock >
void | std::_V2::condition_variable_any::wait (_Lock &__lock)
template<typename _Lock , typename _Predicate >
void | std::_V2::condition_variable_any::wait (_Lock &__lock, _Predicate __p)
void | std::condition_variable::wait (unique_lock< mutex > &__lock) noexcept
template<typename _Predicate >
void | std::condition_variable::wait (unique_lock< mutex > &__lock, _Predicate __p)
template<typename _Lock , typename _Rep , typename _Period >
cv_status | std::_V2::condition_variable_any::wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Lock , typename _Rep , typename _Period , typename _Predicate >
bool | std::_V2::condition_variable_any::wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<typename _Rep , typename _Period >
cv_status | std::condition_variable::wait_for (unique_lock< mutex > &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Rep , typename _Period , typename _Predicate >
bool | std::condition_variable::wait_for (unique_lock< mutex > &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<typename _Lock , typename _Clock , typename _Duration >
cv_status | std::_V2::condition_variable_any::wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Lock , typename _Clock , typename _Duration , typename _Predicate >
bool | std::_V2::condition_variable_any::wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)
template<typename _Duration >
cv_status | std::condition_variable::wait_until (unique_lock< mutex > &__lock, const chrono::time_point< __clock_t, _Duration > &__atime)
template<typename _Clock , typename _Duration >
cv_status | std::condition_variable::wait_until (unique_lock< mutex > &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Clock , typename _Duration , typename _Predicate >
bool | std::condition_variable::wait_until (unique_lock< mutex > &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)

## Variables

void(* | std::__at_thread_exit_elt::_M_cb )(void *)
_Lock & | std::_V2::condition_variable_any::_Unlock< _Lock >::_M_lock
__at_thread_exit_elt * | std::__at_thread_exit_elt::_M_next

## Detailed Description

Classes for condition_variable support.

## Enumeration Type Documentation

## cv_status

enum std::cv_status

strong

cv_status

Definition at line 62 of file condition_variable.